Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 757597 - app-emulation/containerd: containerd-shim API exposed to host network containers (CVE-2020-15257)
Summary: app-emulation/containerd: containerd-shim API exposed to host network contai...
Status: RESOLVED DUPLICATE of bug 758137
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo Security
URL: https://github.com/containerd/contain...
Whiteboard: B1 [ebuild]
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-29 13:45 UTC by Thomas Deutschmann
Modified: 2020-12-02 20:10 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2020-11-29 13:45:02 UTC
Incoming details.
Comment 1 Thomas Deutschmann gentoo-dev Security 2020-12-01 01:36:07 UTC
Impact
======
Access controls for the shim’s API socket verified that the connecting process had an effective UID of 0, but did not otherwise restrict access to the abstract Unix domain socket. This would allow malicious containers running in the same network namespace as the shim, with an effective UID of 0 but otherwise reduced privileges, to cause new processes to be run with elevated privileges.


Patches
=======
This vulnerability has been fixed in containerd 1.3.9 and 1.4.3. Users should update to these versions as soon as they are released. It should be noted that containers started with an old version of containerd-shim should be stopped and restarted, as running containers will continue to be vulnerable even after an upgrade.
Comment 2 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-12-02 20:10:40 UTC

*** This bug has been marked as a duplicate of bug 758137 ***